summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Feldman <NP-Hardass@gentoo.org>2021-03-22 22:04:07 -0400
committerAdam Feldman <NP-Hardass@gentoo.org>2021-06-30 10:19:03 -0400
commit64ae6b997115c0aacd610bfdff4d3482ca10faf0 (patch)
treee2a1d4e25318051fc8985dca696b0ed26ca884d7
parenteclass/mate-desktop.org.eclass: Add EAPI 7 support (diff)
downloadgentoo-mate-64ae6b99.tar.gz
gentoo-mate-64ae6b99.tar.bz2
gentoo-mate-64ae6b99.zip
eclass/mate.eclass: Add EAPI 7 support
Bug: https://bugs.gentoo.org/770277 Signed-off-by: Adam Feldman <NP-Hardass@gentoo.org>
-rw-r--r--eclass/mate.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/mate.eclass b/eclass/mate.eclass
index 34d5e47..a3b4cfd 100644
--- a/eclass/mate.eclass
+++ b/eclass/mate.eclass
@@ -7,7 +7,7 @@
# @AUTHOR:
# Authors: NP-Hardass <NP-Hardass@gentoo.org> based upon the gnome2
# and autotools-utils eclasses
-# @SUPPORTED_EAPIS: 6
+# @SUPPORTED_EAPIS: 6 7
# @BLURB: Provides phases for MATE based packages.
# @DESCRIPTION:
# Exports portage base functions used by ebuilds written for packages using the
@@ -16,7 +16,7 @@
# Check EAPI only
case "${EAPI:-0}" in
- 6) ;;
+ 6|7) ;;
*) die "EAPI=${EAPI:-0} is not supported" ;;
esac
@@ -26,8 +26,12 @@ esac
# @DESCRIPTION:
# Available values for MATE_LA_PUNT:
# - "no": will not clean any .la files
+# - In EAPI < 7:
# - "yes": will run prune_libtool_files --modules
# - If it is not set, it will run prune_libtool_files
+# - In EAPI 7:
+# - Any non-"no" value will run
+# find "${ED}" -name '*.la' -delete || die
# MATE_LA_PUNT is a stub to GNOME2_LA_PUNT
MATE_LA_PUNT=${MATE_LA_PUNT:-""}
GNOME2_LA_PUNT="${MATE_LA_PUNT}"
@@ -35,7 +39,7 @@ GNOME2_LA_PUNT="${MATE_LA_PUNT}"
inherit gnome2 autotools mate-desktop.org
case "${EAPI:-0}" in
- 6) EXPORT_FUNCTIONS src_prepare src_configure src_install pkg_preinst pkg_postinst pkg_postrm ;;
+ 6|7) EXPORT_FUNCTIONS src_prepare src_configure src_install pkg_preinst pkg_postinst pkg_postrm ;;
*) die "EAPI=${EAPI:-0} is not supported" ;;
esac